### Method

# Fwupd Client get_details

#### Declaration [src]

    GPtrArray*
    fwupd_client_get_details (
      FwupdClient* self,
      const gchar* filename,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets details about a specific firmware file.

Available since: | 1.0.0

#### Parameters

`filename` | `const gchar*`
| The firmware filename, e.g. `firmware.cab`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| An array of results.
| The caller of the method takes ownership of the data container, but not the data inside it.